View Issue Details

IDProjectCategoryView StatusLast Update
14211Bug reports[All Projects] Accessibilitypublic2020-03-23 18:39
ReporterDenisChenu Assigned Top_teichmann  
PrioritynoneSeverityminor 
Status closedResolutionreopened 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14211: Language changer dropdown autoupdated : kaybord navigation issue
Description

When using keyboard : No way to see the language list in dropdown without updating language

Steps To Reproduce

Import https://github.com/LimeSurvey/LimeSurvey/blob/master/docs/demosurveys/ls3_sample_survey_multilingual_fr_de_en_it.lss , try to read list of language without keyboard

Additional Information

Language list at top is OK

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browserfirefox 63.0 + orca
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

has duplicate 14210 closedDenisChenu Unable to got to survey with keyboard 

Activities

DenisChenu

DenisChenu

2018-11-07 13:13

developer   ~49572

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28476

DenisChenu

DenisChenu

2020-03-23 17:25

developer   ~56733

In 4.X

With key up/ key down on dropdown :)



Peek 23-03-2020 17-23.gif (294,297 bytes)
ollehar

ollehar

2020-03-23 18:30

administrator   ~56734

Can you update product version too please? Or create a new bug.

DenisChenu

DenisChenu

2020-03-23 18:34

developer   ~56735

I create a new bug

ollehar

ollehar

2020-03-23 18:39

administrator   ~56736

Thanks! Will close this.

Related Changesets

LimeSurvey: master fb4068b4

2018-11-07 13:13:33

DenisChenu

Details Diff
Fixed issue 14211 : no keyboard navigation available with language changer
Dev: move from change to click action
Affected Issues
14211
mod - assets/packages/limesurvey/survey.js Diff File
mod - themes/survey/vanilla/scripts/theme.js Diff File
mod - themes/survey/vanilla/views/subviews/navigation/language_changer.twig Diff File

Issue History

Date Modified Username Field Change
2018-11-05 10:35 DenisChenu New Issue
2018-11-07 11:32 DenisChenu Relationship added has duplicate 14210
2018-11-07 11:32 DenisChenu Assigned To => DenisChenu
2018-11-07 11:32 DenisChenu Status new => assigned
2018-11-07 13:13 DenisChenu Changeset attached => LimeSurvey master fb4068b4
2018-11-07 13:13 DenisChenu Note Added: 49572
2018-11-07 13:13 DenisChenu Resolution open => fixed
2018-11-07 13:14 DenisChenu Status assigned => resolved
2018-11-07 13:14 DenisChenu Fixed in Version => 3.15.x
2019-01-12 11:04 DenisChenu Status resolved => closed
2020-03-23 17:24 DenisChenu Assigned To DenisChenu => p_teichmann
2020-03-23 17:24 DenisChenu Status closed => feedback
2020-03-23 17:24 DenisChenu Resolution fixed => reopened
2020-03-23 17:25 DenisChenu File Added: Peek 23-03-2020 17-23.gif
2020-03-23 17:25 DenisChenu Note Added: 56733
2020-03-23 17:25 DenisChenu Status feedback => assigned
2020-03-23 18:30 ollehar Note Added: 56734
2020-03-23 18:34 DenisChenu Note Added: 56735
2020-03-23 18:39 ollehar Note Added: 56736
2020-03-23 18:39 ollehar Status assigned => closed